Page MenuHomeFreeBSD

emulators/i386-wine{-devel}: Delete ports
ClosedPublic

Authored by gerald on Oct 5 2021, 3:50 PM.

Details

Summary
emulators/i386-wine{-devel}: Delete ports

These ports are now obsolete, as emulators/wine and emulators/wine-devel now provide i386 libraries.

Reviewed_by: koobs, gerald
Differential_Revision: D32322
MFH: 2020Q4 (no longer required)

Diff Detail

Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

koobs retitled this revision from emulators/i386-wine & i386-wine-devel: Deletion to emulators/i386-wine{-devel}: Delete portd.Nov 3 2021, 1:06 AM
koobs edited the summary of this revision. (Show Details)
koobs added a reviewer: koobs.

Do emulators/wine and emulators/wine-devel in quarterly support i386? If so:

  • Update review SUMMARY: MFH: 2020Q4 (no longer required, broken: distfiles) so the change is merged
koobs retitled this revision from emulators/i386-wine{-devel}: Delete portd to emulators/i386-wine{-devel}: Delete ports.Nov 3 2021, 1:13 AM

Thank you, Alexander! Appreciate you looking into this even at the end of its life and adjusting other ports accordingly. Well done!

I made two gentle, small asks on formatting of comments (only) and approve of this right away, but would prefer for someone else to commit if possible (for reasons of a capacity, testing, and otherwise).

emulators/wine-devel/Makefile
133–134

I acknowledge this is pre-existing, but while touching it, can we please wrap at < 80 columns (76 columns, say)?

emulators/wine/Makefile
130

Same on line wrapping at < 80 columns.

iwtcex_gmail.com added inline comments.
emulators/wine-devel/Makefile
133–134

There are technically only 2 parts to wow64, so the whole comment is a bit misleading overall. Is it worth keeping?

grahamperrin added inline comments.
emulators/wine/Makefile
127

Is this phrase, in parentheses, necessary?

128

"also known as this part …" – slightly strange wording.

Is the phrase in parentheses superfluous?

Improve a little the explanation of wow64 and be careful not to make too big lines.

Fix typo

aka this port build form --> aka this port build from

gerald edited reviewers, added: Alexander88207_protonmail.com; removed: gerald.

We also need to update ports/emulators/Makefile removing the lines for the removed ports (which I'll do), and some of the lines in the Makefile have trailing space (which I'm taking care of).

I'll commit by tomorrow.

emulators/wine-devel/Makefile
122–123

This .if somehow become ..if? I'll make this change before committing, please do not update the patch here.

emulators/wine/Makefile
123

Same here, .if became ..if.

129

There's two typos here: form -> from and build -> built. I have addressed both of those.

Please stop sending new revisions unless there is a serious issue.

Okay, "commandeer revision" does quit something more extensive than I thought. Please ignore. For the actual commit, I'll list you as author anyway.

I have committed this patch in two stages, first i386-wine-devel, and just now i386-wine with some adjustments (e.g. around the .include statements).

Thank you Alexander, for maintaining this for a bit and now helping with its removal!

Should anything be missing, let's follow up in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=259589 !

This revision is now accepted and ready to land.Nov 19 2021, 7:00 AM

Committed (with some tweaks).